Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api
Class OdaResultSetColumnHandle

    java.lang.Object
      org.eclipse.birt.report.model.api.ElementDetailHandle
          org.eclipse.birt.report.model.api.ValueHandle
              org.eclipse.birt.report.model.api.StructureHandle
                  org.eclipse.birt.report.model.api.ResultSetColumnHandle
                      org.eclipse.birt.report.model.api.OdaResultSetColumnHandle

    public class OdaResultSetColumnHandle

extends ResultSetColumnHandle

Represents the handle of one column in the oda result set. The result set column defines the data in which column is in the result set.

Native name
  the oda defined result set name.
Native data type
  the oda defined type of the result set column.

Field Summary

Fields inherited from class org.eclipse.birt.report.model.api.StructureHandle
`structRef`

Fields inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle
`elementHandle`

Constructor Summary
`OdaResultSetColumnHandle(SimpleValueHandle valueHandle, int index)` Constructs the handle of oda result set column.

Method Summary
`java.lang.Integer` | `getNativeDataType()` Returns the native data type.
`java.lang.String` | `getNativeName()` Returns the native name of this result set column.
`void` | `setNativeDataType(java.lang.Integer dataType)` Sets the result set column native data type.
`void` | `setNativeName(java.lang.String nativeName)` Sets the native name for this result set column.

Methods inherited from class org.eclipse.birt.report.model.api.ResultSetColumnHandle
`getColumnName, getDataType, getPosition, setColumnName, setDataType, setPosition`

Methods inherited from class org.eclipse.birt.report.model.api.StructureHandle
`drop, getDefn, getExternalizedValue, getMember, getProperty, getPropertyDefn, getReference, getStringProperty, getStructure, isDesignTime, iterator, setDesignTime, setProperty, setPropertySilently`

Methods inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle
`getDesign, getElement, getElementHandle, getModule`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OdaResultSetColumnHandle

    public OdaResultSetColumnHandle(SimpleValueHandle valueHandle,
                                    int index)

  Constructs the handle of oda result set column.

  Parameters:
    `valueHandle` - the value handle for oda result set column list of one property
    `index` - the position of this oda result set column in the list

Method Detail

### getNativeDataType

    public java.lang.Integer getNativeDataType()

  Returns the native data type.

  Overrides:
    `getNativeDataType` in class `ResultSetColumnHandle`
  Returns:
    the result set column native data type.

### setNativeDataType

    public void setNativeDataType(java.lang.Integer dataType)

  Sets the result set column native data type.

  Overrides:
    `setNativeDataType` in class `ResultSetColumnHandle`
  Parameters:
    `dataType` - the native data type to set.

### getNativeName

    public java.lang.String getNativeName()

  Returns the native name of this result set column.

  Returns:
    the native name

### setNativeName

    public void setNativeName(java.lang.String nativeName)
                       throws SemanticException

  Sets the native name for this result set column.

  Parameters:
    `nativeName` - native name
  Throws:
    `SemanticException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.